#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai3_16.inp");
ofstream f2("bai3_16.out");
long long n,a[10000000],i;
int main()
{
    f1>>n;
    for(i=0;i<n;i++){
        f1>>a[i];
    }
    sort(a,a+n);
    f2<<a[n-1]+1;
    f1.close();
    f2.close();
}
